;###################################################################################
;#                                                                                 #
;#                             LCD HD44780 Macros                                  #
;#                            --------------------                                 #
;#                                                                                 #
;# Microcontroller: egal                                                           #
;# Quarz:           egal                                                           #
;#                                                                                 #
;# Autor: Denis B.	                                                           #
;#        www.elektronik4freaks.de.tk                                              #
;#                                                                                 #
;# Version: 1.4                                                                    #
;#                                                                                 #
;# Register: * r17                                                                 #
;#           * Z-Pointer                                                           #
;#                                                                                 #
;#                                                                                 #
;# Stack: wird ben�tigt                                                            #
;#                                                                                 #
;# Ports: LCD_Port ( mind. 5 Portpins )                                            #
;#                                                                                 #
;###################################################################################


;---[ Macros ]----------------------------------------------------------------------

 .macro LCDAdress		; Textdaten-Adresse in den Z-Pointer

  ldi zl, low(@0)
  ldi zh, high(@0)

 .endmacro


 .macro LCDPos			; Cursorposition setzen
 
  push r16			; Rettung der verw. Register

  ldi r16, @0 |(1<<db7)
  rcall lcd_com

  pop r16			; Wiederherstellung der verw. Register

 .endmacro


  
 .macro FirstLine		; 1. Zeile im LCD anw�hlen

  LCDPos 0x00

 .endmacro



 .macro SecondLine		; 2. Zeile im LCD anw�hlen

  LCDPos 0x40

 .endmacro



